Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000509 [Piwigo] navigation minor always 2006.08.08 22:52 2008.01.28 17:09
Reporter nicco View Status public  
Assigned To
Priority normal Resolution fixed Platform toutes
Status closed   OS toutes
Projection none   OS Version toutes
ETA none Fixed in Version 1.7.1 Product Version 1.6.1
  Target Version Product Build ???
Summary 0000509: cookie_path = erreur si nom de domaine sans repertoire derriere
Description je vais essayer d etre le plus clair possible :

j ai un nom de domaine dédie à ma galerie et donc mon adresse pour acceder a ma galerie j ai une adresse de ce type :

http://www.monnomdedomaine.com [^]

et du coup dans functions_session.inc.php la fonction : cookie_path()
plante au niveau du return

return ($scr{strlen($scr)-1} == '/') ? $scr : $scr . '/';

car la fonction strlen renvoie surement 0 !!!

donc moi j ai mis ca a la place :

  if ( strlen($scr) == 0 )
  {
    return $scr . '/';
  }
  else
  {
    return ($scr{strlen($scr)-1} == '/') ? $scr : $scr . '/';
  }

voila a plus
Steps To Reproduce avoir un site virtuelle qui pointe directement sur la galerie

et voir les logs du site

Additional Information Version de PhpWebGallery

        * PhpWebGallery 1.6.1
        * Dernière version ?

Environnement

        * System d'exploitation: WINNT
        * PHP: 5.1.4 (Montrer les informations)
        * MySQL: 5.0.22-community-nt

Tags No tags attached.
browser any
Database engine and version MySQL: 5.0.22-community-nt
PHP version PHP: 5.1.4
Web server apache_2.0.54-win32-x86
Attached Files

- Relationships
related to 0000458closednikrou Cannot log due to broken session cookie when $_SERVER["PATH_INFO"] is empty or unset 

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006.08.08 22:52 nicco New Issue
2006.08.08 22:52 nicco browser => any
2006.08.08 22:52 nicco MySQL version => MySQL: 5.0.22-community-nt
2006.08.08 22:52 nicco PHP version => PHP: 5.1.4
2006.08.08 22:52 nicco Web server => apache_2.0.54-win32-x86
2006.08.09 14:30 nikrou Relationship added related to 0000458
2008.01.28 17:09 mathiasm Status new => closed
2008.01.28 17:09 mathiasm Resolution open => fixed
2008.01.28 17:09 mathiasm Fixed in Version => 1.7.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker